﻿using Infragistics;
using Infragistics.Controls.Schedules;
using Infragistics.Windows.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Schedule_Test
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    /// 

    public partial class MainWindow : Window
    {
       
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
            Resource resAmanda = new Resource() { Id = "own1", Name = "Amanda" };
            resources.Add(resAmanda);

            ObservableCollection<ResourceCalendar> calendars =
                new ObservableCollection<ResourceCalendar>();
            ResourceCalendar calAmanda = new ResourceCalendar()
            {
                Id = "cal1",
                OwningResourceId = "own1",
            };

            calendars.Add(calAmanda);

            ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
            Appointment app1 = new Appointment()
            {
                Id = "t1",
                OwningCalendarId = "cal1",
                OwningResourceId = "own1",
                Start =  DateTime.Now.AddMinutes(2).ToUniversalTime(),
                End = DateTime.Now.AddMinutes(4).ToUniversalTime(),
                Subject = "Appointment 1",
                Description = "My first Appointment in XAML",
                ReminderInterval = new TimeSpan(0, 0, 30),
                ReminderEnabled = true,
                Reminder = new Reminder
                {
                    IsSnoozed = false,
                    SnoozeInterval = new TimeSpan(0, 0, 40),
                    Text = "My Reminder"
                }

            };
            Appointment app2 = new Appointment()
            {
                Id = "t2",
                OwningResourceId = "own1",
                OwningCalendarId = "cal1",
                Subject = "Appointment 2",
                Description = "My second appointment",
                Start = DateTime.Now.AddMinutes(1).ToUniversalTime(),
                End = DateTime.Now.AddMinutes(3).ToUniversalTime(),
                ReminderInterval = new TimeSpan(0,0,30),
                ReminderEnabled = true,
                Reminder = new Reminder
                {
                    IsSnoozed = false,
                    SnoozeInterval = new TimeSpan(0, 0, 40),
                    Text = "My Reminder"
                }

            };

           


            appointments.Add(app1);
            appointments.Add(app2);

            this.dataConnector.ResourceItemsSource = resources;
            this.dataConnector.ResourceCalendarItemsSource = calendars;
            this.dataConnector.AppointmentItemsSource = appointments;
           
        }

        private void dataManager_ActivityDialogDisplaying(object sender, ActivityDialogDisplayingEventArgs e)
        {
            ToolWindow window = new ToolWindow();
            window.Loaded += window_Loaded;
        }

        void window_Loaded(object sender, RoutedEventArgs e)
        {
            throw new NotImplementedException();
        }
    }


 

  


}
